# Generated by Django 5.0.6 on 2024-06-13 09:11

from django.db import migrations


def remove_old_program_pages(apps, schema_editor):
    DistrictElectionRootPage = apps.get_model("district", "DistrictElectionRootPage")
    DistrictProgramPage = apps.get_model("district", "DistrictProgramPage")
    DistrictInteractiveProgramPage = apps.get_model(
        "district", "DistrictInteractiveProgramPage"
    )
    DistrictElectionCampaignPage = apps.get_model(
        "district", "DistrictElectionCampaignPage"
    )
    DistrictElectionProgramPage = apps.get_model(
        "district", "DistrictElectionProgramPage"
    )
    DistrictPostElectionStrategyPage = apps.get_model(
        "district", "DistrictPostElectionStrategyPage"
    )

    for model in (
        DistrictElectionRootPage,
        DistrictProgramPage,
        DistrictInteractiveProgramPage,
        DistrictElectionCampaignPage,
        DistrictElectionProgramPage,
        DistrictPostElectionStrategyPage,
    ):
        model.objects.filter().delete()


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0224_alter_districtpeoplepage_perex_col_1_and_more"),
    ]

    operations = [migrations.RunPython(remove_old_program_pages)]
